# Class AppCheckService

- Defined in app-check.ts:35

#####
Index

### Constructors

constructor

### Properties

onTokenChanged$

### Methods

getToken
setTokenAutoRefreshEnabled

##
Constructors

### constructor

- new AppCheckService(
  options: FirebaseOptions,
  nameOrConfig: string,
  zone: NgZone,
  config: ConfigService,
  enabled: null | boolean,
  siteKey: null | string,
  isTokenAutoRefreshEnabled: null | boolean,
  ): AppCheckService

  #### Parameters

  - options: FirebaseOptions
  - nameOrConfig: string
  - zone: NgZone
  - config: ConfigService
  - enabled: null | boolean
  - siteKey: null | string
  - isTokenAutoRefreshEnabled: null | boolean

  #### Returns AppCheckService

  - Defined in app-check.ts:40

##
Properties

### `Readonly` onTokenChanged$

onTokenChanged$: Observable<AppCheckTokenResult> = EMPTY

- Defined in app-check.ts:37

##
Methods

### getToken

- getToken(forceRefresh?: boolean): Promise<string>

  #### Parameters

  - `Optional` forceRefresh: boolean

  #### Returns Promise<string>

  - Defined in app-check.ts:89

### setTokenAutoRefreshEnabled

- setTokenAutoRefreshEnabled(isTokenAutoRefreshEnabled: boolean): void

  #### Parameters

  - isTokenAutoRefreshEnabled: boolean

  #### Returns void

  - Defined in app-check.ts:97